## org.hamcrest.core
Class IsNull<T>

    java.lang.Object
      org.hamcrest.BaseMatcher<T>
          org.hamcrest.core.IsNull<T>

All Implemented Interfaces:
  Matcher<T>, SelfDescribing

    public class IsNull<T>

extends BaseMatcher<T>

Is the value null?

Constructor Summary
`IsNull()`

Method Summary
`void` `describeTo(Description description)` Generates a description of the object.
`boolean` `matches(Object o)` Evaluates the matcher for argument item.
`static Matcher<Object>` `notNullValue()` A shortcut to the frequently used `not(nullValue())`.

`static

`<T> Matcher<T>`

`

`notNullValue(Class<T> type)`
A shortcut to the frequently used `not(nullValue(X.class)).`

`static Matcher<Object>` `nullValue()` Creates a matcher that matches if examined object is `null`.

`static

`<T> Matcher<T>`

`

`nullValue(Class<T> type)`
Creates a matcher that matches if examined object is `null`.

Methods inherited from class org.hamcrest.BaseMatcher
`_dont_implement_Matcher___instead_extend_BaseMatcher_, describeMismatch, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IsNull

    public IsNull()

Method Detail

### matches

    public boolean matches(Object o)

  Description copied from interface: `Matcher`
  Evaluates the matcher for argument item.

  This method matches against Object, instead of the generic type T. This is because the caller of the Matcher does not know at runtime what the type is (because of type erasure with Java generics). It is down to the implementations to check the correct type.

  Parameters:
    `o` - the object against which the matcher is evaluated.
  Returns:
    `true` if item matches, otherwise `false`.
  See Also:
    `BaseMatcher`

### describeTo

    public void describeTo(Description description)

  Description copied from interface: `SelfDescribing`
  Generates a description of the object. The description may be part of a a description of a larger object of which this is just a component, so it should be worded appropriately.

  Parameters:
    `description` - The description to be built or appended to.

### nullValue

    public static Matcher<Object> nullValue()

  Creates a matcher that matches if examined object is `null`.

  For example:

      assertThat(cheese, is(nullValue())

### notNullValue

    public static Matcher<Object> notNullValue()

  A shortcut to the frequently used `not(nullValue())`.

  For example:

      assertThat(cheese, is(notNullValue()))

  instead of:

      assertThat(cheese, is(not(nullValue())))

### nullValue

    public static <T> Matcher<T> nullValue(Class<T> type)

  Creates a matcher that matches if examined object is `null`. Accepts a single dummy argument to facilitate type inference.

  For example:

      assertThat(cheese, is(nullValue(Cheese.class))

  Parameters:
    `type` - dummy parameter used to infer the generic type of the returned matcher

### notNullValue

    public static <T> Matcher<T> notNullValue(Class<T> type)

  A shortcut to the frequently used `not(nullValue(X.class)). Accepts a single dummy argument to facilitate type inference.`.

  For example:

      assertThat(cheese, is(notNullValue(X.class)))

  instead of:

      assertThat(cheese, is(not(nullValue(X.class))))

  Parameters:
    `type` - dummy parameter used to infer the generic type of the returned matcher

Copyright © 2002–2020 JUnit. All rights reserved.